#include "Datum.h"

static const int DnyVMsci[]{ 0, 31,28,31,30,31,30,31,31,30,31,30,31 };

bool kontrola(Datum datum)
{
	if (pestupn(datum.rok) && datum.den == 29 && datum.msc == 2)
	{
		return true;
	}
	if (datum.msc < 1 || datum.msc>12)
	{
		return false;
	}
	if (datum.den < 1 || datum.den > DnyVMsci[datum.msc])
	{
		return false;
	}
	return true;
}

bool pestupn(int rok)
{
	return (rok % 400 == 0) || (rok % 4 == 0 && rok % 100 != 0);
}

Datum ztra(Datum dnes)
{
	dnes.den++;
	if (kontrola(dnes))
	{
		return dnes;
	}
	dnes.den = 1;
	dnes.msc++;
	if (kontrola(dnes))
	{
		return dnes;
	}
	dnes.msc = 1;
	dnes.rok++;
	return dnes;
	return Datum();
}
